From 9e0d66b1b0c80474b734f0bf3919c36b669dca41 Mon Sep 17 00:00:00 2001
From: DESKTOP-HG94VRH\taohandong <2821744554@qq.com>
Date: Fri, 1 Mar 2019 10:04:57 +0800
Subject: [PATCH] no message
---
springboot/.gitignore | 25 +++++++++++++++++++++++++
springboot/.mvn/wrapper/MavenWrapperDownloader.java | 114 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
springboot/.mvn/wrapper/maven-wrapper.jar | Bin 0 -> 48337 bytes
springboot/.mvn/wrapper/maven-wrapper.properties | 1 +
springboot/mvnw | 286 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
springboot/mvnw.cmd | 161 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
springboot/pom.xml | 69 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
springboot/src/main/java/com/sincre/springboot/SpringbootApplication.java | 35 +++++++++++++++++++++++++++++++++++
springboot/src/main/java/com/sincre/springboot/Swagger2.java | 37 +++++++++++++++++++++++++++++++++++++
springboot/src/main/java/com/sincre/springboot/controller/UserController.java | 70 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
springboot/src/main/java/com/sincre/springboot/mapper/UserMapper.java | 17 +++++++++++++++++
springboot/src/main/java/com/sincre/springboot/model/User.java | 29 +++++++++++++++++++++++++++++
springboot/src/main/java/com/sincre/springboot/server/UserServer.java | 15 +++++++++++++++
springboot/src/main/java/com/sincre/springboot/server/UserServerImp.java | 34 ++++++++++++++++++++++++++++++++++
springboot/src/main/java/com/sincre/springboot/utils/FileUtils.java | 88 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
springboot/src/main/resources/application.properties | 11 +++++++++++
springboot/src/main/resources/mapper/usermapper.xml | 26 ++++++++++++++++++++++++++
springboot/src/main/resources/mybatis-config.xml | 15 +++++++++++++++
springboot/src/main/webapp/WEB-INF/jsp/index.jsp | 0
springboot/src/main/webapp/WEB-INF/lib/sqljdbc42.jar | Bin 0 -> 898868 bytes
springboot/src/main/webapp/WEB-INF/web.xml | 5 +++++
springboot/src/test/java/com/sincre/springboot/SpringbootApplicationTests.java | 16 ++++++++++++++++
22 files changed, 1054 insertions(+), 0 deletions(-)
create mode 100644 springboot/.gitignore
create mode 100644 springboot/.mvn/wrapper/MavenWrapperDownloader.java
create mode 100644 springboot/.mvn/wrapper/maven-wrapper.jar
create mode 100644 springboot/.mvn/wrapper/maven-wrapper.properties
create mode 100644 springboot/mvnw
create mode 100644 springboot/mvnw.cmd
create mode 100644 springboot/pom.xml
create mode 100644 springboot/src/main/java/com/sincre/springboot/SpringbootApplication.java
create mode 100644 springboot/src/main/java/com/sincre/springboot/Swagger2.java
create mode 100644 springboot/src/main/java/com/sincre/springboot/controller/UserController.java
create mode 100644 springboot/src/main/java/com/sincre/springboot/mapper/UserMapper.java
create mode 100644 springboot/src/main/java/com/sincre/springboot/model/User.java
create mode 100644 springboot/src/main/java/com/sincre/springboot/server/UserServer.java
create mode 100644 springboot/src/main/java/com/sincre/springboot/server/UserServerImp.java
create mode 100644 springboot/src/main/java/com/sincre/springboot/utils/FileUtils.java
create mode 100644 springboot/src/main/resources/application.properties
create mode 100644 springboot/src/main/resources/mapper/usermapper.xml
create mode 100644 springboot/src/main/resources/mybatis-config.xml
create mode 100644 springboot/src/main/webapp/WEB-INF/jsp/index.jsp
create mode 100644 springboot/src/main/webapp/WEB-INF/lib/sqljdbc42.jar
create mode 100644 springboot/src/main/webapp/WEB-INF/web.xml
create mode 100644 springboot/src/test/java/com/sincre/springboot/SpringbootApplicationTests.java
diff --git a/springboot/.gitignore b/springboot/.gitignore
new file mode 100644
index 0000000..c456c4a
--- /dev/null
+++ b/springboot/.gitignore
@@ -0,0 +1,25 @@
+/target/
+!.mvn/wrapper/maven-wrapper.jar
+
+### STS ###
+.apt_generated
+.classpath
+.factorypath
+.project
+.settings
+.springBeans
+.sts4-cache
+
+### IntelliJ IDEA ###
+.idea
+*.iws
+*.iml
+*.ipr
+
+### NetBeans ###
+/nbproject/private/
+/nbbuild/
+/dist/
+/nbdist/
+/.nb-gradle/
+/build/
diff --git a/springboot/.mvn/wrapper/MavenWrapperDownloader.java b/springboot/.mvn/wrapper/MavenWrapperDownloader.java
new file mode 100644
index 0000000..042d184
--- /dev/null
+++ b/springboot/.mvn/wrapper/MavenWrapperDownloader.java
@@ -0,0 +1,114 @@
+/*
+Licensed to the Apache Software Foundation (ASF) under one
+or more contributor license agreements. See the NOTICE file
+distributed with this work for additional information
+regarding copyright ownership. The ASF licenses this file
+to you under the Apache License, Version 2.0 (the
+"License"); you may not use this file except in compliance
+with the License. You may obtain a copy of the License at
+
+ http://www.apache.org/licenses/LICENSE-2.0
+
+Unless required by applicable law or agreed to in writing,
+software distributed under the License is distributed on an
+"AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
+KIND, either express or implied. See the License for the
+specific language governing permissions and limitations
+under the License.
+*/
+
+import java.io.File;
+import java.io.FileInputStream;
+import java.io.FileOutputStream;
+import java.io.IOException;
+import java.net.URL;
+import java.nio.channels.Channels;
+import java.nio.channels.ReadableByteChannel;
+import java.util.Properties;
+
+public class MavenWrapperDownloader {
+
+ /**
+ * Default URL to download the maven-wrapper.jar from, if no 'downloadUrl' is provided.
+ */
+ private static final String DEFAULT_DOWNLOAD_URL =
+ "https://repo.maven.apache.org/maven2/io/takari/maven-wrapper/0.4.2/maven-wrapper-0.4.2.jar";
+
+ /**
+ * Path to the maven-wrapper.properties file, which might contain a downloadUrl property to
+ * use instead of the default one.
+ */
+ private static final String MAVEN_WRAPPER_PROPERTIES_PATH =
+ ".mvn/wrapper/maven-wrapper.properties";
+
+ /**
+ * Path where the maven-wrapper.jar will be saved to.
+ */
+ private static final String MAVEN_WRAPPER_JAR_PATH =
+ ".mvn/wrapper/maven-wrapper.jar";
+
+ /**
+ * Name of the property which should be used to override the default download url for the wrapper.
+ */
+ private static final String PROPERTY_NAME_WRAPPER_URL = "wrapperUrl";
+
+ public static void main(String args[]) {
+ System.out.println("- Downloader started");
+ File baseDirectory = new File(args[0]);
+ System.out.println("- Using base directory: " + baseDirectory.getAbsolutePath());
+
+ // If the maven-wrapper.properties exists, read it and check if it contains a custom
+ // wrapperUrl parameter.
+ File mavenWrapperPropertyFile = new File(baseDirectory, MAVEN_WRAPPER_PROPERTIES_PATH);
+ String url = DEFAULT_DOWNLOAD_URL;
+ if (mavenWrapperPropertyFile.exists()) {
+ FileInputStream mavenWrapperPropertyFileInputStream = null;
+ try {
+ mavenWrapperPropertyFileInputStream = new FileInputStream(mavenWrapperPropertyFile);
+ Properties mavenWrapperProperties = new Properties();
+ mavenWrapperProperties.load(mavenWrapperPropertyFileInputStream);
+ url = mavenWrapperProperties.getProperty(PROPERTY_NAME_WRAPPER_URL, url);
+ } catch (IOException e) {
+ System.out.println("- ERROR loading '" + MAVEN_WRAPPER_PROPERTIES_PATH + "'");
+ } finally {
+ try {
+ if (mavenWrapperPropertyFileInputStream != null) {
+ mavenWrapperPropertyFileInputStream.close();
+ }
+ } catch (IOException e) {
+ // Ignore ...
+ }
+ }
+ }
+ System.out.println("- Downloading from: : " + url);
+
+ File outputFile = new File(baseDirectory.getAbsolutePath(), MAVEN_WRAPPER_JAR_PATH);
+ if (!outputFile.getParentFile().exists()) {
+ if (!outputFile.getParentFile().mkdirs()) {
+ System.out.println(
+ "- ERROR creating output direcrory '" + outputFile.getParentFile().getAbsolutePath() + "'");
+ }
+ }
+ System.out.println("- Downloading to: " + outputFile.getAbsolutePath());
+ try {
+ downloadFileFromURL(url, outputFile);
+ System.out.println("Done");
+ System.exit(0);
+ } catch (Throwable e) {
+ System.out.println("- Error downloading");
+ e.printStackTrace();
+ System.exit(1);
+ }
+ }
+
+ private static void downloadFileFromURL(String urlString, File destination) throws Exception {
+ URL website = new URL(urlString);
+ ReadableByteChannel rbc;
+ rbc = Channels.newChannel(website.openStream());
+ FileOutputStream fos = new FileOutputStream(destination);
+ fos.getChannel().transferFrom(rbc, 0, Long.MAX_VALUE);
+ fos.close();
+ rbc.close();
+ }
+
+}
diff --git a/springboot/.mvn/wrapper/maven-wrapper.jar b/springboot/.mvn/wrapper/maven-wrapper.jar
new file mode 100644
index 0000000..01e6799
Binary files /dev/null and b/springboot/.mvn/wrapper/maven-wrapper.jar differ
diff --git a/springboot/.mvn/wrapper/maven-wrapper.properties b/springboot/.mvn/wrapper/maven-wrapper.properties
new file mode 100644
index 0000000..cd0d451
--- /dev/null
+++ b/springboot/.mvn/wrapper/maven-wrapper.properties
@@ -0,0 +1 @@
+distributionUrl=https://repo.maven.apache.org/maven2/org/apache/maven/apache-maven/3.6.0/apache-maven-3.6.0-bin.zip
diff --git a/springboot/mvnw b/springboot/mvnw
new file mode 100644
index 0000000..5551fde
--- /dev/null
+++ b/springboot/mvnw
@@ -0,0 +1,286 @@
+#!/bin/sh
+# ----------------------------------------------------------------------------
+# Licensed to the Apache Software Foundation (ASF) under one
+# or more contributor license agreements. See the NOTICE file
+# distributed with this work for additional information
+# regarding copyright ownership. The ASF licenses this file
+# to you under the Apache License, Version 2.0 (the
+# "License"); you may not use this file except in compliance
+# with the License. You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing,
+# software distributed under the License is distributed on an
+# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
+# KIND, either express or implied. See the License for the
+# specific language governing permissions and limitations
+# under the License.
+# ----------------------------------------------------------------------------
+
+# ----------------------------------------------------------------------------
+# Maven2 Start Up Batch script
+#
+# Required ENV vars:
+# ------------------
+# JAVA_HOME - location of a JDK home dir
+#
+# Optional ENV vars
+# -----------------
+# M2_HOME - location of maven2's installed home dir
+# MAVEN_OPTS - parameters passed to the Java VM when running Maven
+# e.g. to debug Maven itself, use
+# set MAVEN_OPTS=-Xdebug -Xrunjdwp:transport=dt_socket,server=y,suspend=y,address=8000
+# MAVEN_SKIP_RC - flag to disable loading of mavenrc files
+# ----------------------------------------------------------------------------
+
+if [ -z "$MAVEN_SKIP_RC" ] ; then
+
+ if [ -f /etc/mavenrc ] ; then
+ . /etc/mavenrc
+ fi
+
+ if [ -f "$HOME/.mavenrc" ] ; then
+ . "$HOME/.mavenrc"
+ fi
+
+fi
+
+# OS specific support. $var _must_ be set to either true or false.
+cygwin=false;
+darwin=false;
+mingw=false
+case "`uname`" in
+ CYGWIN*) cygwin=true ;;
+ MINGW*) mingw=true;;
+ Darwin*) darwin=true
+ # Use /usr/libexec/java_home if available, otherwise fall back to /Library/Java/Home
+ # See https://developer.apple.com/library/mac/qa/qa1170/_index.html
+ if [ -z "$JAVA_HOME" ]; then
+ if [ -x "/usr/libexec/java_home" ]; then
+ export JAVA_HOME="`/usr/libexec/java_home`"
+ else
+ export JAVA_HOME="/Library/Java/Home"
+ fi
+ fi
+ ;;
+esac
+
+if [ -z "$JAVA_HOME" ] ; then
+ if [ -r /etc/gentoo-release ] ; then
+ JAVA_HOME=`java-config --jre-home`
+ fi
+fi
+
+if [ -z "$M2_HOME" ] ; then
+ ## resolve links - $0 may be a link to maven's home
+ PRG="$0"
+
+ # need this for relative symlinks
+ while [ -h "$PRG" ] ; do
+ ls=`ls -ld "$PRG"`
+ link=`expr "$ls" : '.*-> \(.*\)$'`
+ if expr "$link" : '/.*' > /dev/null; then
+ PRG="$link"
+ else
+ PRG="`dirname "$PRG"`/$link"
+ fi
+ done
+
+ saveddir=`pwd`
+
+ M2_HOME=`dirname "$PRG"`/..
+
+ # make it fully qualified
+ M2_HOME=`cd "$M2_HOME" && pwd`
+
+ cd "$saveddir"
+ # echo Using m2 at $M2_HOME
+fi
+
+# For Cygwin, ensure paths are in UNIX format before anything is touched
+if $cygwin ; then
+ [ -n "$M2_HOME" ] &&
+ M2_HOME=`cygpath --unix "$M2_HOME"`
+ [ -n "$JAVA_HOME" ] &&
+ JAVA_HOME=`cygpath --unix "$JAVA_HOME"`
+ [ -n "$CLASSPATH" ] &&
+ CLASSPATH=`cygpath --path --unix "$CLASSPATH"`
+fi
+
+# For Mingw, ensure paths are in UNIX format before anything is touched
+if $mingw ; then
+ [ -n "$M2_HOME" ] &&
+ M2_HOME="`(cd "$M2_HOME"; pwd)`"
+ [ -n "$JAVA_HOME" ] &&
+ JAVA_HOME="`(cd "$JAVA_HOME"; pwd)`"
+ # TODO classpath?
+fi
+
+if [ -z "$JAVA_HOME" ]; then
+ javaExecutable="`which javac`"
+ if [ -n "$javaExecutable" ] && ! [ "`expr \"$javaExecutable\" : '\([^ ]*\)'`" = "no" ]; then
+ # readlink(1) is not available as standard on Solaris 10.
+ readLink=`which readlink`
+ if [ ! `expr "$readLink" : '\([^ ]*\)'` = "no" ]; then
+ if $darwin ; then
+ javaHome="`dirname \"$javaExecutable\"`"
+ javaExecutable="`cd \"$javaHome\" && pwd -P`/javac"
+ else
+ javaExecutable="`readlink -f \"$javaExecutable\"`"
+ fi
+ javaHome="`dirname \"$javaExecutable\"`"
+ javaHome=`expr "$javaHome" : '\(.*\)/bin'`
+ JAVA_HOME="$javaHome"
+ export JAVA_HOME
+ fi
+ fi
+fi
+
+if [ -z "$JAVACMD" ] ; then
+ if [ -n "$JAVA_HOME" ] ; then
+ if [ -x "$JAVA_HOME/jre/sh/java" ] ; then
+ # IBM's JDK on AIX uses strange locations for the executables
+ JAVACMD="$JAVA_HOME/jre/sh/java"
+ else
+ JAVACMD="$JAVA_HOME/bin/java"
+ fi
+ else
+ JAVACMD="`which java`"
+ fi
+fi
+
+if [ ! -x "$JAVACMD" ] ; then
+ echo "Error: JAVA_HOME is not defined correctly." >&2
+ echo " We cannot execute $JAVACMD" >&2
+ exit 1
+fi
+
+if [ -z "$JAVA_HOME" ] ; then
+ echo "Warning: JAVA_HOME environment variable is not set."
+fi
+
+CLASSWORLDS_LAUNCHER=org.codehaus.plexus.classworlds.launcher.Launcher
+
+# traverses directory structure from process work directory to filesystem root
+# first directory with .mvn subdirectory is considered project base directory
+find_maven_basedir() {
+
+ if [ -z "$1" ]
+ then
+ echo "Path not specified to find_maven_basedir"
+ return 1
+ fi
+
+ basedir="$1"
+ wdir="$1"
+ while [ "$wdir" != '/' ] ; do
+ if [ -d "$wdir"/.mvn ] ; then
+ basedir=$wdir
+ break
+ fi
+ # workaround for JBEAP-8937 (on Solaris 10/Sparc)
+ if [ -d "${wdir}" ]; then
+ wdir=`cd "$wdir/.."; pwd`
+ fi
+ # end of workaround
+ done
+ echo "${basedir}"
+}
+
+# concatenates all lines of a file
+concat_lines() {
+ if [ -f "$1" ]; then
+ echo "$(tr -s '\n' ' ' < "$1")"
+ fi
+}
+
+BASE_DIR=`find_maven_basedir "$(pwd)"`
+if [ -z "$BASE_DIR" ]; then
+ exit 1;
+fi
+
+##########################################################################################
+# Extension to allow automatically downloading the maven-wrapper.jar from Maven-central
+# This allows using the maven wrapper in projects that prohibit checking in binary data.
+##########################################################################################
+if [ -r "$BASE_DIR/.mvn/wrapper/maven-wrapper.jar" ]; then
+ if [ "$MVNW_VERBOSE" = true ]; then
+ echo "Found .mvn/wrapper/maven-wrapper.jar"
+ fi
+else
+ if [ "$MVNW_VERBOSE" = true ]; then
+ echo "Couldn't find .mvn/wrapper/maven-wrapper.jar, downloading it ..."
+ fi
+ jarUrl="https://repo.maven.apache.org/maven2/io/takari/maven-wrapper/0.4.2/maven-wrapper-0.4.2.jar"
+ while IFS="=" read key value; do
+ case "$key" in (wrapperUrl) jarUrl="$value"; break ;;
+ esac
+ done < "$BASE_DIR/.mvn/wrapper/maven-wrapper.properties"
+ if [ "$MVNW_VERBOSE" = true ]; then
+ echo "Downloading from: $jarUrl"
+ fi
+ wrapperJarPath="$BASE_DIR/.mvn/wrapper/maven-wrapper.jar"
+
+ if command -v wget > /dev/null; then
+ if [ "$MVNW_VERBOSE" = true ]; then
+ echo "Found wget ... using wget"
+ fi
+ wget "$jarUrl" -O "$wrapperJarPath"
+ elif command -v curl > /dev/null; then
+ if [ "$MVNW_VERBOSE" = true ]; then
+ echo "Found curl ... using curl"
+ fi
+ curl -o "$wrapperJarPath" "$jarUrl"
+ else
+ if [ "$MVNW_VERBOSE" = true ]; then
+ echo "Falling back to using Java to download"
+ fi
+ javaClass="$BASE_DIR/.mvn/wrapper/MavenWrapperDownloader.java"
+ if [ -e "$javaClass" ]; then
+ if [ ! -e "$BASE_DIR/.mvn/wrapper/MavenWrapperDownloader.class" ]; then
+ if [ "$MVNW_VERBOSE" = true ]; then
+ echo " - Compiling MavenWrapperDownloader.java ..."
+ fi
+ # Compiling the Java class
+ ("$JAVA_HOME/bin/javac" "$javaClass")
+ fi
+ if [ -e "$BASE_DIR/.mvn/wrapper/MavenWrapperDownloader.class" ]; then
+ # Running the downloader
+ if [ "$MVNW_VERBOSE" = true ]; then
+ echo " - Running MavenWrapperDownloader.java ..."
+ fi
+ ("$JAVA_HOME/bin/java" -cp .mvn/wrapper MavenWrapperDownloader "$MAVEN_PROJECTBASEDIR")
+ fi
+ fi
+ fi
+fi
+##########################################################################################
+# End of extension
+##########################################################################################
+
+export MAVEN_PROJECTBASEDIR=${MAVEN_BASEDIR:-"$BASE_DIR"}
+if [ "$MVNW_VERBOSE" = true ]; then
+ echo $MAVEN_PROJECTBASEDIR
+fi
+MAVEN_OPTS="$(concat_lines "$MAVEN_PROJECTBASEDIR/.mvn/jvm.config") $MAVEN_OPTS"
+
+# For Cygwin, switch paths to Windows format before running java
+if $cygwin; then
+ [ -n "$M2_HOME" ] &&
+ M2_HOME=`cygpath --path --windows "$M2_HOME"`
+ [ -n "$JAVA_HOME" ] &&
+ JAVA_HOME=`cygpath --path --windows "$JAVA_HOME"`
+ [ -n "$CLASSPATH" ] &&
+ CLASSPATH=`cygpath --path --windows "$CLASSPATH"`
+ [ -n "$MAVEN_PROJECTBASEDIR" ] &&
+ MAVEN_PROJECTBASEDIR=`cygpath --path --windows "$MAVEN_PROJECTBASEDIR"`
+fi
+
+WRAPPER_LAUNCHER=org.apache.maven.wrapper.MavenWrapperMain
+
+exec "$JAVACMD" \
+ $MAVEN_OPTS \
+ -classpath "$MAVEN_PROJECTBASEDIR/.mvn/wrapper/maven-wrapper.jar" \
+ "-Dmaven.home=${M2_HOME}" "-Dmaven.multiModuleProjectDirectory=${MAVEN_PROJECTBASEDIR}" \
+ ${WRAPPER_LAUNCHER} $MAVEN_CONFIG "$@"
diff --git a/springboot/mvnw.cmd b/springboot/mvnw.cmd
new file mode 100644
index 0000000..e5cfb0a
--- /dev/null
+++ b/springboot/mvnw.cmd
@@ -0,0 +1,161 @@
+@REM ----------------------------------------------------------------------------
+@REM Licensed to the Apache Software Foundation (ASF) under one
+@REM or more contributor license agreements. See the NOTICE file
+@REM distributed with this work for additional information
+@REM regarding copyright ownership. The ASF licenses this file
+@REM to you under the Apache License, Version 2.0 (the
+@REM "License"); you may not use this file except in compliance
+@REM with the License. You may obtain a copy of the License at
+@REM
+@REM http://www.apache.org/licenses/LICENSE-2.0
+@REM
+@REM Unless required by applicable law or agreed to in writing,
+@REM software distributed under the License is distributed on an
+@REM "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
+@REM KIND, either express or implied. See the License for the
+@REM specific language governing permissions and limitations
+@REM under the License.
+@REM ----------------------------------------------------------------------------
+
+@REM ----------------------------------------------------------------------------
+@REM Maven2 Start Up Batch script
+@REM
+@REM Required ENV vars:
+@REM JAVA_HOME - location of a JDK home dir
+@REM
+@REM Optional ENV vars
+@REM M2_HOME - location of maven2's installed home dir
+@REM MAVEN_BATCH_ECHO - set to 'on' to enable the echoing of the batch commands
+@REM MAVEN_BATCH_PAUSE - set to 'on' to wait for a key stroke before ending
+@REM MAVEN_OPTS - parameters passed to the Java VM when running Maven
+@REM e.g. to debug Maven itself, use
+@REM set MAVEN_OPTS=-Xdebug -Xrunjdwp:transport=dt_socket,server=y,suspend=y,address=8000
+@REM MAVEN_SKIP_RC - flag to disable loading of mavenrc files
+@REM ----------------------------------------------------------------------------
+
+@REM Begin all REM lines with '@' in case MAVEN_BATCH_ECHO is 'on'
+@echo off
+@REM set title of command window
+title %0
+@REM enable echoing my setting MAVEN_BATCH_ECHO to 'on'
+@if "%MAVEN_BATCH_ECHO%" == "on" echo %MAVEN_BATCH_ECHO%
+
+@REM set %HOME% to equivalent of $HOME
+if "%HOME%" == "" (set "HOME=%HOMEDRIVE%%HOMEPATH%")
+
+@REM Execute a user defined script before this one
+if not "%MAVEN_SKIP_RC%" == "" goto skipRcPre
+@REM check for pre script, once with legacy .bat ending and once with .cmd ending
+if exist "%HOME%\mavenrc_pre.bat" call "%HOME%\mavenrc_pre.bat"
+if exist "%HOME%\mavenrc_pre.cmd" call "%HOME%\mavenrc_pre.cmd"
+:skipRcPre
+
+@setlocal
+
+set ERROR_CODE=0
+
+@REM To isolate internal variables from possible post scripts, we use another setlocal
+@setlocal
+
+@REM ==== START VALIDATION ====
+if not "%JAVA_HOME%" == "" goto OkJHome
+
+echo.
+echo Error: JAVA_HOME not found in your environment. >&2
+echo Please set the JAVA_HOME variable in your environment to match the >&2
+echo location of your Java installation. >&2
+echo.
+goto error
+
+:OkJHome
+if exist "%JAVA_HOME%\bin\java.exe" goto init
+
+echo.
+echo Error: JAVA_HOME is set to an invalid directory. >&2
+echo JAVA_HOME = "%JAVA_HOME%" >&2
+echo Please set the JAVA_HOME variable in your environment to match the >&2
+echo location of your Java installation. >&2
+echo.
+goto error
+
+@REM ==== END VALIDATION ====
+
+:init
+
+@REM Find the project base dir, i.e. the directory that contains the folder ".mvn".
+@REM Fallback to current working directory if not found.
+
+set MAVEN_PROJECTBASEDIR=%MAVEN_BASEDIR%
+IF NOT "%MAVEN_PROJECTBASEDIR%"=="" goto endDetectBaseDir
+
+set EXEC_DIR=%CD%
+set WDIR=%EXEC_DIR%
+:findBaseDir
+IF EXIST "%WDIR%"\.mvn goto baseDirFound
+cd ..
+IF "%WDIR%"=="%CD%" goto baseDirNotFound
+set WDIR=%CD%
+goto findBaseDir
+
+:baseDirFound
+set MAVEN_PROJECTBASEDIR=%WDIR%
+cd "%EXEC_DIR%"
+goto endDetectBaseDir
+
+:baseDirNotFound
+set MAVEN_PROJECTBASEDIR=%EXEC_DIR%
+cd "%EXEC_DIR%"
+
+:endDetectBaseDir
+
+IF NOT EXIST "%MAVEN_PROJECTBASEDIR%\.mvn\jvm.config" goto endReadAdditionalConfig
+
+@setlocal EnableExtensions EnableDelayedExpansion
+for /F "usebackq delims=" %%a in ("%MAVEN_PROJECTBASEDIR%\.mvn\jvm.config") do set JVM_CONFIG_MAVEN_PROPS=!JVM_CONFIG_MAVEN_PROPS! %%a
+@endlocal & set JVM_CONFIG_MAVEN_PROPS=%JVM_CONFIG_MAVEN_PROPS%
+
+:endReadAdditionalConfig
+
+SET MAVEN_JAVA_EXE="%JAVA_HOME%\bin\java.exe"
+set WRAPPER_JAR="%MAVEN_PROJECTBASEDIR%\.mvn\wrapper\maven-wrapper.jar"
+set WRAPPER_LAUNCHER=org.apache.maven.wrapper.MavenWrapperMain
+
+set DOWNLOAD_URL="https://repo.maven.apache.org/maven2/io/takari/maven-wrapper/0.4.2/maven-wrapper-0.4.2.jar"
+FOR /F "tokens=1,2 delims==" %%A IN (%MAVEN_PROJECTBASEDIR%\.mvn\wrapper\maven-wrapper.properties) DO (
+ IF "%%A"=="wrapperUrl" SET DOWNLOAD_URL=%%B
+)
+
+@REM Extension to allow automatically downloading the maven-wrapper.jar from Maven-central
+@REM This allows using the maven wrapper in projects that prohibit checking in binary data.
+if exist %WRAPPER_JAR% (
+ echo Found %WRAPPER_JAR%
+) else (
+ echo Couldn't find %WRAPPER_JAR%, downloading it ...
+ echo Downloading from: %DOWNLOAD_URL%
+ powershell -Command "(New-Object Net.WebClient).DownloadFile('%DOWNLOAD_URL%', '%WRAPPER_JAR%')"
+ echo Finished downloading %WRAPPER_JAR%
+)
+@REM End of extension
+
+%MAVEN_JAVA_EXE% %JVM_CONFIG_MAVEN_PROPS% %MAVEN_OPTS% %MAVEN_DEBUG_OPTS% -classpath %WRAPPER_JAR% "-Dmaven.multiModuleProjectDirectory=%MAVEN_PROJECTBASEDIR%" %WRAPPER_LAUNCHER% %MAVEN_CONFIG% %*
+if ERRORLEVEL 1 goto error
+goto end
+
+:error
+set ERROR_CODE=1
+
+:end
+@endlocal & set ERROR_CODE=%ERROR_CODE%
+
+if not "%MAVEN_SKIP_RC%" == "" goto skipRcPost
+@REM check for post script, once with legacy .bat ending and once with .cmd ending
+if exist "%HOME%\mavenrc_post.bat" call "%HOME%\mavenrc_post.bat"
+if exist "%HOME%\mavenrc_post.cmd" call "%HOME%\mavenrc_post.cmd"
+:skipRcPost
+
+@REM pause the script if MAVEN_BATCH_PAUSE is set to 'on'
+if "%MAVEN_BATCH_PAUSE%" == "on" pause
+
+if "%MAVEN_TERMINATE_CMD%" == "on" exit %ERROR_CODE%
+
+exit /B %ERROR_CODE%
diff --git a/springboot/pom.xml b/springboot/pom.xml
new file mode 100644
index 0000000..79b6019
--- /dev/null
+++ b/springboot/pom.xml
@@ -0,0 +1,69 @@
+
+
+ 4.0.0
+
+ org.springframework.boot
+ spring-boot-starter-parent
+ 2.1.3.RELEASE
+
+
+ com.sincre
+ springboot
+ 0.0.1-SNAPSHOT
+ springboot
+ Demo project for Spring Boot
+
+
+ 1.8
+
+
+
+
+ org.springframework.boot
+ spring-boot-starter-web
+
+
+
+ org.springframework.boot
+ spring-boot-starter-test
+ test
+
+
+
+
+ io.springfox
+ springfox-swagger-ui
+ 2.9.2
+
+
+
+ io.springfox
+ springfox-swagger2
+ 2.9.2
+
+
+
+ com.microsoft.sqlserver
+ mssql-jdbc
+ 7.2.1.jre8
+ test
+
+
+
+ org.mybatis.spring.boot
+ mybatis-spring-boot-starter
+ 2.0.0
+
+
+
+
+
+
+ org.springframework.boot
+ spring-boot-maven-plugin
+
+
+
+
+
diff --git a/springboot/src/main/java/com/sincre/springboot/SpringbootApplication.java b/springboot/src/main/java/com/sincre/springboot/SpringbootApplication.java
new file mode 100644
index 0000000..2b5d8c1
--- /dev/null
+++ b/springboot/src/main/java/com/sincre/springboot/SpringbootApplication.java
@@ -0,0 +1,35 @@
+package com.sincre.springboot;
+
+import org.apache.ibatis.annotations.Mapper;
+import org.mybatis.spring.annotation.MapperScan;
+import org.springframework.boot.SpringApplication;
+import org.springframework.boot.autoconfigure.SpringBootApplication;
+
+import javax.swing.*;
+import java.awt.*;
+
+@MapperScan("com.sincre.springboot.mapper")
+@SpringBootApplication
+public class SpringbootApplication{
+
+ public static void main(String[] args) {
+
+ SpringApplication.run(SpringbootApplication.class, args);
+ System.out.println("classpath:"+new SpringbootApplication().getClass().getResource(""));
+
+// new SpringbootApplication().initFrame();
+ }
+
+ private void initFrame(){
+ JFrame jFrame = new JFrame();
+ //设置窗口是否可视
+ jFrame.setVisible(true);
+//设置窗口的大小是否可以调节
+ jFrame.setResizable(false);
+//设置窗口大小和x,y位置
+ jFrame.setBounds(100,100, 600, 800);
+//设置窗口退出则程序退出
+ jFrame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
+ }
+
+}
diff --git a/springboot/src/main/java/com/sincre/springboot/Swagger2.java b/springboot/src/main/java/com/sincre/springboot/Swagger2.java
new file mode 100644
index 0000000..cdaf1e1
--- /dev/null
+++ b/springboot/src/main/java/com/sincre/springboot/Swagger2.java
@@ -0,0 +1,37 @@
+package com.sincre.springboot;
+
+import org.springframework.context.annotation.Bean;
+import org.springframework.context.annotation.Configuration;
+import springfox.documentation.builders.ApiInfoBuilder;
+import springfox.documentation.builders.PathSelectors;
+import springfox.documentation.builders.RequestHandlerSelectors;
+import springfox.documentation.service.ApiInfo;
+import springfox.documentation.spi.DocumentationType;
+import springfox.documentation.spring.web.plugins.Docket;
+import springfox.documentation.swagger2.annotations.EnableSwagger2;
+
+@Configuration
+@EnableSwagger2
+public class Swagger2 {
+
+ @Bean
+ public Docket createRestApi(){
+ return new Docket(DocumentationType.SWAGGER_2)
+ .apiInfo(apiInfo())
+ .select()
+ .apis(RequestHandlerSelectors.basePackage("com.sincre.springboot.controller"))
+ .paths(PathSelectors.any())
+ .build();
+ }
+
+ private ApiInfo apiInfo(){
+ return new ApiInfoBuilder()
+ .title("Spring Boot中使用Swagger2")
+ .contact("Mr.Tao")
+ .description("")
+ .termsOfServiceUrl("")
+ .version("1.0")
+ .build();
+ }
+
+}
diff --git a/springboot/src/main/java/com/sincre/springboot/controller/UserController.java b/springboot/src/main/java/com/sincre/springboot/controller/UserController.java
new file mode 100644
index 0000000..7742584
--- /dev/null
+++ b/springboot/src/main/java/com/sincre/springboot/controller/UserController.java
@@ -0,0 +1,70 @@
+package com.sincre.springboot.controller;
+
+import com.sincre.springboot.model.User;
+import com.sincre.springboot.server.UserServer;
+import com.sincre.springboot.server.UserServerImp;
+import com.sincre.springboot.utils.FileUtils;
+import io.swagger.annotations.Api;
+import io.swagger.annotations.ApiImplicitParam;
+import io.swagger.annotations.ApiImplicitParams;
+import io.swagger.annotations.ApiOperation;
+import org.springframework.beans.factory.annotation.Autowired;
+import org.springframework.ui.Model;
+import org.springframework.web.bind.annotation.*;
+
+import javax.servlet.http.HttpServlet;
+import javax.servlet.http.HttpSession;
+
+@RestController
+@RequestMapping(value = "/user/*")
+@Api(value = "用户信息管理")
+public class UserController {
+
+ @Autowired
+ UserServer userServer;
+
+ @ApiOperation(value = "注册", notes = "注册motes")
+ @RequestMapping(method = RequestMethod.GET, value = "register")
+ public String regist(String userName, String password) {
+ User user = userServer.isExit(userName);
+ System.out.println("username:" + userName + " password:" + password + " user:" + user);
+ if (user == null) {
+ userServer.registr(userName, password);
+ } else {
+ return "已经注册了";
+ }
+ return "注册成功";
+ }
+
+ @ApiOperation(value = "登录")
+ @RequestMapping(method = RequestMethod.GET, value = "login")
+ public String login(String name, String password) {
+ User user = userServer.login(name, password);
+ System.out.println("login:" + user);
+ if (user == null) {
+ if (userServer.isExit(name) == null) {
+ return "用户名错误";
+ } else
+ return "密码错误";
+ }
+ return "登录成功";
+ }
+
+ @RequestMapping(method = RequestMethod.GET,value = "getImg")
+ public String getImg(){
+ return FileUtils.getImageStr("C:\\Users\\taohandong\\Desktop\\微耕.png");
+ }
+
+// @ApiOperation(value = "输入用户")
+// @ApiImplicitParams({
+// @ApiImplicitParam(name = "id", value = "用户id", required = true),
+// @ApiImplicitParam(name = "User", value = "用户实体", required = true)
+// })
+// @RequestMapping(method = RequestMethod.PUT, value = "{id}")
+// public boolean putUser(@PathVariable Long id, @RequestBody User userServerImp) {
+// System.out.println("username:" + id + " password:" + userServerImp.toString());
+// if (null == userServerImp) return false;
+// return true;
+// }
+
+}
diff --git a/springboot/src/main/java/com/sincre/springboot/mapper/UserMapper.java b/springboot/src/main/java/com/sincre/springboot/mapper/UserMapper.java
new file mode 100644
index 0000000..26b8849
--- /dev/null
+++ b/springboot/src/main/java/com/sincre/springboot/mapper/UserMapper.java
@@ -0,0 +1,17 @@
+package com.sincre.springboot.mapper;
+
+import com.sincre.springboot.model.User;
+import org.apache.ibatis.annotations.Mapper;
+import org.apache.ibatis.annotations.Param;
+import org.springframework.stereotype.Repository;
+
+@Mapper
+@Repository
+public interface UserMapper {
+
+ public User login(@Param("userName") String userName,@Param("password") String password);
+
+ public boolean register(@Param("username") String username,@Param("password") String password);
+
+ public User isExit(@Param("username")String username);
+}
diff --git a/springboot/src/main/java/com/sincre/springboot/model/User.java b/springboot/src/main/java/com/sincre/springboot/model/User.java
new file mode 100644
index 0000000..0b8e845
--- /dev/null
+++ b/springboot/src/main/java/com/sincre/springboot/model/User.java
@@ -0,0 +1,29 @@
+package com.sincre.springboot.model;
+
+import java.io.Serializable;
+
+public class User implements Serializable {
+
+ private int id;
+
+ private String username;
+
+ private String password;
+
+ public String getPassword() {
+ return password;
+ }
+
+ public void setPassword(String password) {
+ this.password = password;
+ }
+
+ @Override
+ public String toString() {
+ return "User{" +
+ "id=" + id +
+ ", username='" + username + '\'' +
+ ", password='" + password + '\'' +
+ '}';
+ }
+}
diff --git a/springboot/src/main/java/com/sincre/springboot/server/UserServer.java b/springboot/src/main/java/com/sincre/springboot/server/UserServer.java
new file mode 100644
index 0000000..5280a8d
--- /dev/null
+++ b/springboot/src/main/java/com/sincre/springboot/server/UserServer.java
@@ -0,0 +1,15 @@
+package com.sincre.springboot.server;
+
+import com.sincre.springboot.model.User;
+
+public interface UserServer {
+
+
+ public boolean insertUser(User user);
+
+ public User login(String loginname,String password);
+
+ public boolean registr(String username,String password);
+
+ public User isExit(String username);
+}
diff --git a/springboot/src/main/java/com/sincre/springboot/server/UserServerImp.java b/springboot/src/main/java/com/sincre/springboot/server/UserServerImp.java
new file mode 100644
index 0000000..a36c9b3
--- /dev/null
+++ b/springboot/src/main/java/com/sincre/springboot/server/UserServerImp.java
@@ -0,0 +1,34 @@
+package com.sincre.springboot.server;
+
+import com.sincre.springboot.mapper.UserMapper;
+import com.sincre.springboot.model.User;
+import org.springframework.beans.factory.annotation.Autowired;
+import org.springframework.stereotype.Service;
+
+
+@Service("userService")
+public class UserServerImp implements UserServer {
+
+ @Autowired
+ UserMapper userMapper;
+
+ @Override
+ public boolean insertUser(User user) {
+ return false;
+ }
+
+ @Override
+ public User login(String loginname, String password) {
+ return userMapper.login(loginname,password);
+ }
+
+ @Override
+ public boolean registr(String username, String password) {
+ return userMapper.register(username,password);
+ }
+
+ @Override
+ public User isExit(String username) {
+ return userMapper.isExit(username);
+ }
+}
diff --git a/springboot/src/main/java/com/sincre/springboot/utils/FileUtils.java b/springboot/src/main/java/com/sincre/springboot/utils/FileUtils.java
new file mode 100644
index 0000000..9408ed3
--- /dev/null
+++ b/springboot/src/main/java/com/sincre/springboot/utils/FileUtils.java
@@ -0,0 +1,88 @@
+package com.sincre.springboot.utils;
+
+import sun.misc.BASE64Decoder;
+import sun.misc.BASE64Encoder;
+
+import javax.imageio.stream.FileImageInputStream;
+import java.io.*;
+
+public class FileUtils {
+
+
+ /**
+ * @param imgStr base64编码字符串
+ * @param path 图片路径-具体到文件
+ * @return
+ * @Description: 将base64编码字符串转换为图片
+ * @Author:
+ * @CreateTime:
+ */
+ public static boolean generateImage(String imgStr, String path) {
+ if (imgStr == null)
+ return false;
+ BASE64Decoder decoder = new BASE64Decoder();
+ try {
+// 解密
+ byte[] b = decoder.decodeBuffer(imgStr);
+// 处理数据
+ for (int i = 0; i < b.length; ++i) {
+ if (b[i] < 0) {
+ b[i] += 256;
+ }
+ }
+ OutputStream out = new FileOutputStream(path);
+ out.write(b);
+ out.flush();
+ out.close();
+ return true;
+ } catch (Exception e) {
+ return false;
+ }
+ }
+
+ /**
+ * @Description: 根据图片地址转换为base64编码字符串
+ * @Author:
+ * @CreateTime:
+ * @return
+ */
+ public static String getImageStr(String imgFile) {
+ InputStream inputStream = null;
+ byte[] data = null;
+ try {
+ inputStream = new FileInputStream(imgFile);
+ data = new byte[inputStream.available()];
+ inputStream.read(data);
+ inputStream.close();
+ } catch (IOException e) {
+ e.printStackTrace();
+ }
+ // 加密
+ BASE64Encoder encoder = new BASE64Encoder();
+ return encoder.encode(data);
+ }
+
+ //图片到byte数组
+ public static byte[] image2byte(String path) {
+ byte[] data = null;
+ FileImageInputStream input = null;
+ try {
+ input = new FileImageInputStream(new File(path));
+ ByteArrayOutputStream output = new ByteArrayOutputStream();
+ byte[] buf = new byte[1024];
+ int numBytesRead = 0;
+ while ((numBytesRead = input.read(buf)) != -1) {
+ output.write(buf, 0, numBytesRead);
+ }
+ data = output.toByteArray();
+ output.close();
+ input.close();
+ } catch (FileNotFoundException ex1) {
+ ex1.printStackTrace();
+ } catch (IOException ex1) {
+ ex1.printStackTrace();
+ }
+ return data;
+ }
+
+}
diff --git a/springboot/src/main/resources/application.properties b/springboot/src/main/resources/application.properties
new file mode 100644
index 0000000..f03cc3d
--- /dev/null
+++ b/springboot/src/main/resources/application.properties
@@ -0,0 +1,11 @@
+server.port=1111
+
+# ݿ
+spring.datasource.username=thd
+spring.datasource.password=pmd19930415A
+spring.datasource.url=jdbc:sqlserver://60.190.202.57:14333;database=test
+spring.datasource.driver-class-name=com.microsoft.sqlserver.jdbc.SQLServerDriver
+
+mybatis.config-location=classpath:mybatis-config.xml
+mybatis.mapper-locations=classpath:/mapper/*.xml
+mybatis.type-aliases-package=com.sincre.springboot.model
\ No newline at end of file
diff --git a/springboot/src/main/resources/mapper/usermapper.xml b/springboot/src/main/resources/mapper/usermapper.xml
new file mode 100644
index 0000000..04ba427
--- /dev/null
+++ b/springboot/src/main/resources/mapper/usermapper.xml
@@ -0,0 +1,26 @@
+
+
+
+
+
+
+
+
+-- SELECT LAST_INSERT_ID() AS ID
+
+ insert into "User"(username, password) VALUES (#{username},#{password})
+
+
+
+
+
\ No newline at end of file
diff --git a/springboot/src/main/resources/mybatis-config.xml b/springboot/src/main/resources/mybatis-config.xml
new file mode 100644
index 0000000..bd0e469
--- /dev/null
+++ b/springboot/src/main/resources/mybatis-config.xml
@@ -0,0 +1,15 @@
+
+
+
+
+
+
+
+
+
+
+
+
+
diff --git a/springboot/src/main/webapp/WEB-INF/jsp/index.jsp b/springboot/src/main/webapp/WEB-INF/jsp/index.jsp
new file mode 100644
index 0000000..e69de29
--- /dev/null
+++ b/springboot/src/main/webapp/WEB-INF/jsp/index.jsp
diff --git a/springboot/src/main/webapp/WEB-INF/lib/sqljdbc42.jar b/springboot/src/main/webapp/WEB-INF/lib/sqljdbc42.jar
new file mode 100644
index 0000000..82dac34
Binary files /dev/null and b/springboot/src/main/webapp/WEB-INF/lib/sqljdbc42.jar differ
diff --git a/springboot/src/main/webapp/WEB-INF/web.xml b/springboot/src/main/webapp/WEB-INF/web.xml
new file mode 100644
index 0000000..9a127b4
--- /dev/null
+++ b/springboot/src/main/webapp/WEB-INF/web.xml
@@ -0,0 +1,5 @@
+
+
+
+
\ No newline at end of file
diff --git a/springboot/src/test/java/com/sincre/springboot/SpringbootApplicationTests.java b/springboot/src/test/java/com/sincre/springboot/SpringbootApplicationTests.java
new file mode 100644
index 0000000..d08a433
--- /dev/null
+++ b/springboot/src/test/java/com/sincre/springboot/SpringbootApplicationTests.java
@@ -0,0 +1,16 @@
+package com.sincre.springboot;
+
+import org.junit.Test;
+import org.junit.runner.RunWith;
+import org.springframework.boot.test.context.SpringBootTest;
+import org.springframework.test.context.junit4.SpringRunner;
+
+@RunWith(SpringRunner.class)
+@SpringBootTest
+public class SpringbootApplicationTests {
+
+ @Test
+ public void contextLoads() {
+ }
+
+}
--
libgit2 0.21.0